JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.tasks.getStatus('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.status);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.tasks.get_status(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.status)curl --request GET \
--url https://api.mobilerun.ai/v1/tasks/{task_id}/status \
--header 'Authorization: Bearer <token>'
{
"status": "queued",
"execution": {
"checkpoint": {
"currentSubgoal": "<string>",
"plan": "<string>",
"progressSummary": "<string>",
"steps": 0
},
"terminationReason": "execution_timeout",
"retrySafety": "unknown"
},
"lastResponse": {},
"message": "<string>",
"output": {},
"steps": 123,
"succeeded": true
}{
"detail": "You are not authorized to access this resource",
"errors": [],
"status": 401,
"title": "Unauthorized"
}{
"detail": "<string>",
"errors": [
"<unknown>"
],
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"errors": [
"<unknown>"
],
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"errors": [
"<unknown>"
],
"status": 123,
"title": "<string>"
}Tasks
Get Task Status
Get the status of a task.
GET
/
tasks
/
{task_id}
/
status
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.tasks.getStatus('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.status);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.tasks.get_status(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.status)Authorizations
Bearer token via Authorization header
Path Parameters
Response
Successful Response
The status of the task
Available options:
queued, created, running, cancelling, completed, failed, cancelled Execution metadata for abnormal terminal outcomes
Show child attributes
Show child attributes
The last agent response (FastAgentResponseEvent or ManagerPlanEvent)
The agent's final answer or failure reason
Structured output if outputSchema was set
Number of steps taken
Whether the task succeeded
Was this page helpful?
⌘I